summaryrefslogtreecommitdiff
path: root/rtems/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rtems/common.sh')
-rw-r--r--rtems/common.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/rtems/common.sh b/rtems/common.sh
index 389f103..ebf4f16 100644
--- a/rtems/common.sh
+++ b/rtems/common.sh
@@ -66,7 +66,15 @@ target=${CPU}-rtems
case ${CPU} in
a29k) ;;
- arm) ;;
+ #arm) ;;
+ arm)
+ # Cover up some insanity
+ CPU=arm
+ type arm-rtemseabi4.11-gcc >/dev/null 2>&1
+ if [ $? -eq 0 ] ; then
+ target=arm-rtemseabi4.11
+ fi
+ ;;
avr) ;;
bfin) ;;
c3x) CPU=c4x ; target=c4x-rtems ;;